<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Buffer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('db/d50/classThread_1_1Buffer.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="../../d8/de7/classThread_1_1Buffer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Buffer Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../dd/d2e/group__core-message.html">Message</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class represents a <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> buffer.  
 <a href="../../db/d50/classThread_1_1Buffer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d5/d8c/message_8hpp_source.html">src/core/common/message.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Buffer:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/d57/classThread_1_1Buffer__inherit__graph.png" border="0" usemap="#Thread_1_1Buffer_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Buffer_inherit__map" id="Thread_1_1Buffer_inherit__map">
<area shape="rect" id="node2" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. " alt="" coords="5,79,130,104"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Buffer:</div>
<div class="dyncontent">
<div class="center"><img src="../../de/dda/classThread_1_1Buffer__coll__graph.png" border="0" usemap="#Thread_1_1Buffer_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Buffer_coll__map" id="Thread_1_1Buffer_coll__map">
<area shape="rect" id="node5" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. " alt="" coords="75,80,200,105"/>
<area shape="rect" id="node2" href="../../de/dcc/structThread_1_1MessageInfo.html" title="This structure contains metdata about a Message. " alt="" coords="185,355,333,380"/>
<area shape="rect" id="node3" href="../../d5/d9f/classThread_1_1MessagePool.html" title="Thread::MessagePool" alt="" coords="296,268,448,293"/>
<area shape="rect" id="node4" href="../../d9/dd7/structThread_1_1MessageListEntry.html" title="This structure contains pointers to the MessageList structure, the next Message, and previous Message..." alt="" coords="45,268,222,293"/>
<area shape="rect" id="node6" href="../../da/d60/structThread_1_1MessageList.html" title="This structure contains pointers to the head and tail of a Message list. " alt="" coords="65,181,211,206"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a34ab22941ccd9bb222d251a6a18c95bf"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../db/d50/classThread_1_1Buffer.html">Buffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf">GetNextBuffer</a> (void) const </td></tr>
<tr class="memdesc:a34ab22941ccd9bb222d251a6a18c95bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the next message buffer.  <a href="#a34ab22941ccd9bb222d251a6a18c95bf">More...</a><br /></td></tr>
<tr class="separator:a34ab22941ccd9bb222d251a6a18c95bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a437ec9ccafa1ef6040a6e8e4fae9c3ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a437ec9ccafa1ef6040a6e8e4fae9c3ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d50/classThread_1_1Buffer.html#a437ec9ccafa1ef6040a6e8e4fae9c3ca">SetNextBuffer</a> (class <a class="el" href="../../db/d50/classThread_1_1Buffer.html">Buffer</a> *buf)</td></tr>
<tr class="memdesc:a437ec9ccafa1ef6040a6e8e4fae9c3ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the pointer to the next message buffer. <br /></td></tr>
<tr class="separator:a437ec9ccafa1ef6040a6e8e4fae9c3ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a658ef47bd757fd5e0f13adab5a417ced"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a658ef47bd757fd5e0f13adab5a417ced"></a>
class&#160;</td><td class="memItemRight" valign="bottom"><b>Message</b></td></tr>
<tr class="separator:a658ef47bd757fd5e0f13adab5a417ced"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class represents a <a class="el" href="../../dc/d3c/classThread_1_1Message.html" title="This class represents a message. ">Message</a> buffer. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a34ab22941ccd9bb222d251a6a18c95bf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../db/d50/classThread_1_1Buffer.html">Buffer</a>* Thread::Buffer::GetNextBuffer </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns a pointer to the next message buffer. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the next message buffer. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../db/d50/classThread_1_1Buffer_a34ab22941ccd9bb222d251a6a18c95bf_icgraph.png" border="0" usemap="#db/d50/classThread_1_1Buffer_a34ab22941ccd9bb222d251a6a18c95bf_icgraph" alt=""/></div>
<map name="db/d50/classThread_1_1Buffer_a34ab22941ccd9bb222d251a6a18c95bf_icgraph" id="db/d50/classThread_1_1Buffer_a34ab22941ccd9bb222d251a6a18c95bf_icgraph">
<area shape="rect" id="node2" href="../../d5/d9f/classThread_1_1MessagePool.html#a80238d94036455e30762ea4a5a0916f8" title="This method is used to free a message and return all message buffers to the buffer pool..." alt="" coords="258,897,409,936"/>
<area shape="rect" id="node14" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="251,1723,416,1748"/>
<area shape="rect" id="node44" href="../../dc/d3c/classThread_1_1Message.html#add75c76a1fa70eb5d4eb03b68c5d1df8" title="This method writes bytes to the message. " alt="" coords="501,461,665,487"/>
<area shape="rect" id="node50" href="../../dc/d3c/classThread_1_1Message.html#a97e576ca01bc7a858f2d5cd35c82b731" title="This method is used to update a checksum value. " alt="" coords="464,127,702,152"/>
<area shape="rect" id="node3" href="../../d5/d9f/classThread_1_1MessagePool.html#a2d10b04dfeb1e0c9321eab0e95fda55f" title="This method is used to obtain a new message. " alt="" coords="490,1032,676,1057"/>
<area shape="rect" id="node4" href="../../dc/d67/classThread_1_1MeshCoP_1_1Commissioner.html#a8639c79f9379e80285fa9f362dbacdd1" title="This method sends MGMT_COMMISSIONER_SET. " alt="" coords="750,1297,998,1336"/>
<area shape="rect" id="node5" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="788,1235,961,1273"/>
<area shape="rect" id="node6" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a215eeb84e75972828efbc163eedc1ec5" title="This method allocates a new message buffer from the buffer pool. " alt="" coords="772,613,976,639"/>
<area shape="rect" id="node10" href="../../db/de8/group__ip6.html#gaad24ff034036ee73ff5f384f7758dd67" title="Allocate a new message buffer for sending an IPv6 message. " alt="" coords="808,981,940,1007"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1374,2215,1538,2253"/>
<area shape="rect" id="node12" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1371,1019,1541,1057"/>
<area shape="rect" id="node7" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="1634,400,1767,439"/>
<area shape="rect" id="node8" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="1107,371,1241,409"/>
<area shape="rect" id="node9" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="1350,407,1562,432"/>
<area shape="rect" id="node13" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1610,1025,1791,1051"/>
<area shape="rect" id="node15" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="505,2401,661,2440"/>
<area shape="rect" id="node16" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23" title="This method parses the CoAP header from a message. " alt="" coords="506,1284,660,1323"/>
<area shape="rect" id="node18" href="../../d0/d5d/classThread_1_1MeshCoP_1_1Dtls.html#a6ab4602c1046d668aaba6dfcafe59cfa" title="This method provides a received DTLS message to the DTLS object. " alt="" coords="503,2464,663,2503"/>
<area shape="rect" id="node19" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a8ab1b7f1b2f78a2bebeeb91872a14b6f" title="This method sets the Joiner UDP Port. " alt="" coords="1067,1360,1281,1399"/>
<area shape="rect" id="node20" href="../../dc/da5/classThread_1_1PanIdQueryClient.html#a440066c1be45fe125c8298276c232939" title="This method sends a PAN ID Query message. " alt="" coords="786,1907,962,1945"/>
<area shape="rect" id="node21" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="1091,752,1257,791"/>
<area shape="rect" id="node22" href="../../d2/df2/group__core-ipv6.html#gae28a5d11156eb8eca60f8145a52d335a" title="This method indicates whether or not the IPv6 datagram passes the filter. " alt="" coords="1111,1076,1237,1115"/>
<area shape="rect" id="node23" href="../../dd/d60/classThread_1_1Ip6_1_1Mpl.html#a0a337fec22aa43fcf36038761a6a8900" title="This method processes an MPL option. " alt="" coords="1087,485,1261,524"/>
<area shape="rect" id="node24" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#a3f645b8190d7e4345fbc195db5b03e49" title="This method handles a received UDP message. " alt="" coords="789,5,960,44"/>
<area shape="rect" id="node25" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="788,2115,960,2153"/>
<area shape="rect" id="node26" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1092,2169,1256,2208"/>
<area shape="rect" id="node27" href="../../de/d9d/classThread_1_1EnergyScanServer.html#aee01420f701ef44d6432280d8e4bf3e3" title="This constructor initializes the object. " alt="" coords="1083,1940,1265,1979"/>
<area shape="rect" id="node28" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="1088,2259,1260,2297"/>
<area shape="rect" id="node29" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a7668817d03306dadcb36ff9eaad72299" title="This method is called by the address resolver when an EID&#45;to&#45;RLOC mapping has been resolved..." alt="" coords="501,2084,665,2123"/>
<area shape="rect" id="node30" href="../../d6/d83/classThread_1_1MeshCoP_1_1Dataset.html#a525029b5a6e6625dbe92863f9485d80d" title="This method sets a TLV in the Dataset. " alt="" coords="478,2527,688,2552"/>
<area shape="rect" id="node31" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#a5560e18099408223e7a5c610e44bdc7f" title="This static method reads the requested TLV out of aMessage. " alt="" coords="506,1461,660,1500"/>
<area shape="rect" id="node32" href="../../d7/dc5/classThread_1_1PanIdQueryServer.html#a9a7504e52a1a9f4023dcf2ceedd3cbf6" title="This constructor initializes the object. " alt="" coords="784,1969,965,2008"/>
<area shape="rect" id="node33" href="../../dd/d8d/classThread_1_1MeshCoP_1_1Tlv.html#afc7c287ad7c84b712621db6fa5cbd0f9" title="This static method finds the offset and length of a given TLV type. " alt="" coords="506,1805,660,1844"/>
<area shape="rect" id="node34" href="../../df/d94/group__core-mle-core.html#ga0ea27201cf13a4e1b0680a9da6c54a64" title="This method submits an MLE message to the UDP socket. " alt="" coords="1067,1601,1281,1627"/>
<area shape="rect" id="node35" href="../../db/dec/group__core-mle-router.html#gac459664defd97a4462d24b88153e188b" title="This method reads delayed response header from the message. " alt="" coords="479,2576,687,2615"/>
<area shape="rect" id="node36" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#ac452d3aa15759caa12dd6e3ff3a64af5" title="This static method reads the requested TLV out of aMessage. " alt="" coords="792,1576,956,1601"/>
<area shape="rect" id="node37" href="../../dc/d39/classThread_1_1Mle_1_1Tlv.html#a2e0b8e9d6a043f25504ff6523a6977c8" title="This static method obtains the offset of a TLV within aMessage. " alt="" coords="492,1576,674,1601"/>
<area shape="rect" id="node38" href="../../d6/d9b/classThread_1_1NetworkData_1_1Leader.html#ab1860ae9877c2b0f6a83d677d41e31d6" title="This method returns a pointer to the Commissioning Data. " alt="" coords="765,2032,983,2071"/>
<area shape="rect" id="node39" href="../../d6/d17/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnostic.html#aabefee38f58e0a8bcd39650ccc386e12" title="This method fills ChildTableTlv. " alt="" coords="1046,1139,1302,1177"/>
<area shape="rect" id="node40" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#a63607059047bd622e6759afe16508125" title="This static method reads the requested TLV out of aMessage. " alt="" coords="783,1677,965,1729"/>
<area shape="rect" id="node41" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#a34d97f6e23cb8863cee6165dc5fc9261" title="This static method obtains the offset of a TLV within aMessage. " alt="" coords="492,1677,674,1729"/>
<area shape="rect" id="node42" href="../../dd/d2b/classThread_1_1ThreadTlv.html#a4a079523209bf967433700e7010f4bde" title="This static method reads the requested TLV out of aMessage. " alt="" coords="514,2021,652,2060"/>
<area shape="rect" id="node43" href="../../d0/d78/classThread_1_1NcpFrameBuffer.html#a34a6141ff650ec07602b246fe3e65404" title="This method checks if the buffer is empty. " alt="" coords="499,1347,667,1385"/>
<area shape="rect" id="node17" href="../../de/d76/classThread_1_1Coap_1_1Server.html#ab3b5bca6d4d748d1c8476bcafbf4038e" title="This method removes a resource from the CoAP server. " alt="" coords="799,1360,949,1399"/>
<area shape="rect" id="node45" href="../../dc/d3c/classThread_1_1Message.html#a6ad07f345f6fbc1c0917d2ccf5ce9042" title="This method copies bytes from one message to another. " alt="" coords="785,399,963,424"/>
<area shape="rect" id="node46" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a872e20ca6e8737eaf91db859041e10f7" title="This method updates the ICMPv6 checksum. " alt="" coords="808,183,941,221"/>
<area shape="rect" id="node47" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa6462f860311b25afef6cb90805dd778" title="This method updates the UDP checksum. " alt="" coords="788,120,960,159"/>
<area shape="rect" id="node48" href="../../df/d94/group__core-mle-core.html#gad555ca36631eff9b978e448ecbcf8e2e" title="This method appends an Address Registration TLV to a message. " alt="" coords="787,448,962,487"/>
<area shape="rect" id="node49" href="../../db/dec/group__core-mle-router.html#gaeca704855aa7b2b63c9ad55e11e94954" title="This method fills an ConnectivityTlv. " alt="" coords="794,867,955,905"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/common/<a class="el" href="../../d5/d8c/message_8hpp_source.html">message.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../db/d50/classThread_1_1Buffer.html">Buffer</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
